#pragma once

#include "CoreMinimal.h"
#include "GenericRefreshingPopupViewInterface.h"
#include "CoreGenericPopupWidget.h"
#include "CoreGenericRefreshingPopupWidget.generated.h"

class UGenericRefreshingPopupViewData;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreGenericRefreshingPopupWidget : public UCoreGenericPopupWidget, public IGenericRefreshingPopupViewInterface
{
	GENERATED_BODY()

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	UGenericRefreshingPopupViewData* _refreshingData;

public:
	UCoreGenericRefreshingPopupWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreGenericRefreshingPopupWidget) { return 0; }
